compact2, compact3
org.w3c.dom.css

## Interface CSSImportRule

- All Superinterfaces:
    CSSRule

      public interface CSSImportRule
      extends CSSRule

  The `CSSImportRule` interface represents a @import rule within a CSS style sheet. The `@import` rule is used to import style rules from other style sheets.

  See also the Document Object Model (DOM) Level 2 Style Specification.

  Since:
    DOM Level 2

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.css.CSSRule

      `CHARSET_RULE, FONT_FACE_RULE, IMPORT_RULE, MEDIA_RULE, PAGE_RULE, STYLE_RULE, UNKNOWN_RULE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getHref()` | The location of the style sheet to be imported.
    `MediaList` | `getMedia()` | A list of media types for which this style sheet may be used.
    `CSSStyleSheet` | `getStyleSheet()` | The style sheet referred to by this rule, if it has been loaded.

    - ### Methods inherited from interface org.w3c.dom.css.CSSRule

      `getCssText, getParentRule, getParentStyleSheet, getType, setCssText`

- - ### Method Detail

    - #### getHref

          String getHref()

      The location of the style sheet to be imported. The attribute will not contain the `"url(...)"` specifier around the URI.

    - #### getMedia

          MediaList getMedia()

      A list of media types for which this style sheet may be used.

    - #### getStyleSheet

          CSSStyleSheet getStyleSheet()

      The style sheet referred to by this rule, if it has been loaded. The value of this attribute is `null` if the style sheet has not yet been loaded or if it will not be loaded (e.g. if the style sheet is for a media type not supported by the user agent).

Submit a bug or feature
Java is a trademark or registered trademark of Oracle and/or its affiliates in the US and other countries.
Copyright © 2005, 2026, Oracle and/or its affiliates. 500 Oracle Parkway
Redwood Shores, CA 94065 USA. All rights reserved.